Goal

A goal is a description of a desired state of the world.

GET/v2/fhir/Goal

List all goals

Returns a list of all goals. Pass attributes to filter the list of goals based on that criteria.

Optional query parameters

  • Name
    patient
    Type
    string
    Description

    Patient ID to filter by.

Request

GET
/v2/fhir/Goal
curl "https://{{base_subdomain}}.avonhealth.com/v2/fhir/Goal?patient=user_Z1zXZKvqrpwxbznuW6lJ" \
  -H "Authorization: Bearer {{token}}" \
  -H "x-jwt: {{jwt}}"

Response

    {
      {
        "resourceType": "Bundle",
        "type": "searchset",
        "total": 1,
        "entry": [
          {
            "fullUrl": "http://trial.avonhealth.com/fhir/Goal/goal-1",
            "resource": {
              "resourceType": "Goal",
              "id": "goal-1",
              "meta": {
                "profile": [
                  "http://hl7.org/fhir/us/core/StructureDefinition/us-core-goal|7.0.0"
                ]
              },
              "text": {
                "status": "generated",
                "div": "<div xmlns=\"http://www.w3.org/1999/xhtml\"><p><b>Generated Narrative: Goal</b><a name=\"goal-1\"> </a><a name=\"hcgoal-1\"> </a></p><div style=\"display: inline-block; background-color: #d9e0e7; padding: 6px; margin: 4px; border: 1px solid #8da1b4; border-radius: 5px; line-height: 60%\"><p style=\"margin-bottom: 0px\">Resource Goal &quot;goal-1&quot; </p><p style=\"margin-bottom: 0px\">Profile: <a href=\"StructureDefinition-us-core-goal.html\">US Core Goal Profile (version 7.0.0)</a></p></div><p><b>lifecycleStatus</b>: active</p><p><b>description</b>: Patient is targeting a pulse oximetry of 92% and a weight of 195 lbs <span style=\"background: LightGoldenRodYellow; margin: 4px; border: 1px solid khaki\"> ()</span></p><p><b>subject</b>: <a href=\"Patient-example.html\">Patient/example: Amy Shaw</a> &quot; SHAW&quot;</p><h3>Targets</h3><table class=\"grid\"><tr><td style=\"display: none\">-</td><td><b>Due[x]</b></td></tr><tr><td style=\"display: none\">*</td><td>2016-04-05</td></tr></table></div>"
              },
              "lifecycleStatus": "active",
              "subject": {
                "reference": "Patient/unxeY6XGFES0ASxVZtmCyXjKmac2",
                "display": "Amy Shaw"
              },
              "target": [
                {
                  "dueDate": "2016-04-05"
                }
              ],
              "description": {
                "coding": [
                  {
                    "system": "http://snomed.info/sct",
                    "version": "http://snomed.info/sct/731000124108",
                    "code": "406156006",
                    "display": "In paid employment"
                  }
                ],
                "text": "In paid employment"
              }
            },
            "search": {
              "mode": "match"
            }
          }
        ]
      }
    }